extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Menu List React Component | Framework7 React Documentation';

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Menu List React Component
      script(src="/js/motion/menulist.js")
      f7-motion-menulist(motion)

    p Menu List is not a separate component, but just a particular case of using <a href="list-view.html">&lt;List&gt;</a> and <a href="list-item.html">&lt;ListItem&gt;</a> components.
    p To enable Menu List we need to add `menuList` prop to `List` component, and control currently selected menu list item by setting `selected` prop on relevant `ListItem`

    h2 Examples
    +examplePreview('react', 'menu-list.jsx', 'menu-list')
